%define upstream_name Epoll
%define upstream_version 2.00

Name:       epoll
Version:    %perl_convert_version %upstream_version
Release:    %mkrel 3
License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    A web voting application
Source:     %{upstream_name}-%{upstream_version}.tar.gz
Url:        http://forge.ipsl.jussieu.fr/epoll
BuildArch:  noarch
BuildRequires: perl(Catalyst)
BuildRequires: perl(Catalyst::Plugin::ConfigLoader)
BuildRequires: perl(Catalyst::Plugin::Static::Simple)
BuildRequires: perl(Catalyst::Action::RenderView)
BuildRequires: perl(Catalyst::Plugin::Session::State::Cookie)
BuildRequires: perl(Catalyst::Plugin::Session::Store::DBI)
BuildRequires: perl(Catalyst::View::TT)
BuildRequires: perl(Catalyst::Plugin::Prototype)
BuildRequires: perl(Catalyst::Plugin::I18N)
BuildRequires: perl(YAML)
BuildRequires: perl(Config::YAML)
BuildRequires: perl(XML::Simple)
BuildRequires: perl(Crypt::CBC)
BuildRequires: perl(Crypt::DES_EDE3)
BuildRequires: perl(Crypt::RSA)
BuildRequires: perl(DBI)
BuildRequires: perl(DBD::Pg)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Mail::Mailer)
BuildRequires: perl(Locale::Maketext::Lexicon)
BuildRequires: perl(Module::Install)

Provides: Epoll = %version-%release
Obsoletes: Epoll < 2.0.0-3

%description
A web voting application

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
sed -i '/^catalyst;/d' Makefile.PL
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

mkdir -p %buildroot/etc
install -m 700 epoll.yml.example %buildroot%_sysconfdir/epoll.yml
mkdir -p %buildroot%_var/www/cgi-bin
install -m 755 script/epoll_cgi.pl %buildroot%_var/www/cgi-bin/epoll_cgi.pl
cp -a root/ %buildroot/%perl_vendorlib/Epoll/

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes README
%doc sql/postgres.dump
%attr(0640,root,apache) %config(noreplace) %_sysconfdir/epoll.yml
%_bindir/*
%_var/www/cgi-bin/epoll_cgi.pl
%{_mandir}/man3/*
%{_mandir}/man1/*
%perl_vendorlib/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 2.0.0-3.mga8
+ Revision: 1501370
- Mageia 8 Mass Rebuild
- Mageia 7 Mass Rebuild
+ pterjan <pterjan>
- Drop embedded changelog
- Fix name and URL
- Rename, part #2
- Rename, part #1

* Wed Apr 04 2018 pterjan <pterjan> 2.0.0-2.mga7
+ Revision: 1215107
- Include templates in the package

* Wed Apr 04 2018 pterjan <pterjan> 2.0.0-1.mga7
+ Revision: 1215100
- 'Make it build'
- BuildRequires perl(Module::Install)
- imported package Epoll

